/* AFC - The  Advanced Foundation Classes
 * Copyright (C) 2000/2004  Fabio Rotondo - Andrea Galimberti
 *  
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or (at your option) any later version.
 *  
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *  
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */
#include "glob_methods.h"

static const char class_name [] = "EasyGUI widget Global Methods";

// -------------------------------------------------------------------------------------------------------------------
// STANDARD METHODS
// -------------------------------------------------------------------------------------------------------------------
int afc_easygui_widget_method_enabled ( DynamicClass * dc )
{
	EasyGUIWidgetData * ewidget;
	BOOL enabled;
	
	WIDGET_GET_EWIDGET ( dc, ewidget );
		
	enabled = ( BOOL ) ( int ) afc_array_master_first ( dc->args );

	gtk_widget_set_sensitive ( GTK_WIDGET ( ewidget->gtk_handle ), ( gboolean ) enabled );

	return ( AFC_ERR_NO_ERROR );
}
